[Plugin] NUT v2 - Network UPS Tools


dmacias

355 posts in this topic Last Reply

Recommended Posts

Hello good, could you tell me why the NUT service does not start me, the autodetec detects the sai well but I do not want to start the service and put the generic UPS configuration as indicated and tried to restart the server and nothing attached screenshot

PS Excuse me my inlges I use the translator

Sin título.jpg

Link to post
  • 2 weeks later...
  • Replies 354
  • Created
  • Last Reply

Top Posters In This Topic

Top Posters In This Topic

Popular Posts

NUT plugin v2 for unRAID 6.1+   NUT - Network UPS Tools - http://www.networkupstools.org/   Based on the original NUT plugin by macester Original thread https://forums.lime-technology.com/

Try running from the command line ps aux | grep ups   If something is still running run e.g. killall upsmon   There's some differences between the nut packages. I think I need to add some more c

Looks like the slave shuts down first in this scenario.  Takes about 30 seconds for the second server, and longer for Unraid... maybe because it's running more dockers and other things.  That command

Posted Images

Just updated the plugin and noticed this in the log:

plugin: updating: nut.plg

+==============================================================================
| Skipping package nut-2.7.4.20181125-x86_64-1 (already installed)
+==============================================================================

plugin: skipping: nut-2.7.4.20171129-x86_64-1.txz - Unraid version too high, requires at most version 6.4.99

Specifically, "Unraid version too high". Thoughts on this?

Link to post
11 minutes ago, autumnwalker said:

Just updated the plugin and noticed this in the log:


plugin: updating: nut.plg

+==============================================================================
| Skipping package nut-2.7.4.20181125-x86_64-1 (already installed)
+==============================================================================

plugin: skipping: nut-2.7.4.20171129-x86_64-1.txz - Unraid version too high, requires at most version 6.4.99

Specifically, "Unraid version too high". Thoughts on this?

It installs a different version if you're over 6.4...

Link to post
Hello,
 
Im trying to configure NUT to connect to my Networked Eaton 5P 850 using SNMP. But when i configure it and try to start the service i see this:
 
Writing nut configUpdating permissions...Network UPS Tools - UPS driver controller 2.7.4.1/usr/libexec/nut/snmp-ups: error while loading shared libraries: libcrypto.so.1: cannot open shared object file: No such file or directoryDriver failed to start (exit status=127)

Any idea?

What version of Unraid?
Link to post
39 minutes ago, Squid said:

It installs a different version if you're over 6.4...

Full output below, it's still saying 2.7.4.

plugin: updating: nut.plg

+==============================================================================
| Skipping package nut-2.7.4.20181125-x86_64-1 (already installed)
+==============================================================================

plugin: skipping: nut-2.7.4.20171129-x86_64-1.txz - Unraid version too high, requires at most version 6.4.99

+==============================================================================
| Skipping package net-snmp-5.7.3-x86_64-4 (already installed)
+==============================================================================

plugin: downloading: https://raw.githubusercontent.com/dmacias72/NUT-unRAID/master/archive/nut-plugin-2020.03.17-x86_64-1.txz ... done
plugin: downloading: https://raw.githubusercontent.com/dmacias72/NUT-unRAID/master/archive/nut-plugin-2020.03.17-x86_64-1.md5 ... done

+==============================================================================
| Upgrading nut-plugin-2019.02.03-x86_64-1 package using /boot/config/plugins/nut/nut-plugin-2020.03.17-x86_64-1.txz
+==============================================================================
Pre-installing package nut-plugin-2020.03.17-x86_64-1...
Removing package: nut-plugin-2019.02.03-x86_64-1-upgraded-2020-04-13,11:58:45
--> Deleting /usr/local/emhttp/plugins/nut/NUTsummary.page
Verifying package nut-plugin-2020.03.17-x86_64-1.txz.
Installing package nut-plugin-2020.03.17-x86_64-1.txz:
PACKAGE DESCRIPTION:
# NUT - Network UPS Tools (a collection of ups tools) unRAID Plugin
#
# The Network UPS Tools is a collection of programs which provide a
# common interface for monitoring and administering UPS hardware. It
# users a layered approach to connect all the components. Drivers are
# provided for a wide assortment of equipment. The primary goal of
# the NUT project is to provide reliable monitoring of UPS hardware
# and ensure safe shutdowns of the systems which are connected.
# This package includes the tools needed to monitor your UPS over the
# web and it also includes the upsclient library.
#
# https://github.com/dmacias72/unRAID-plugins
Executing install script for nut-plugin-2020.03.17-x86_64-1.txz.
Package nut-plugin-2020.03.17-x86_64-1.txz installed.
Package nut-plugin-2019.02.03-x86_64-1 upgraded with new package /boot/config/plugins/nut/nut-plugin-2020.03.17-x86_64-1.txz.
stopping services...
Writing nut config
Updating permissions...
Stopping the UPS services...
Network UPS Tools - UPS driver controller 2.7.4.1
checking network ups tools configuration...

-----------------------------------------------------------
nut has been installed.
Copyright 2015, macester
Copyright 2020, gfjardim
Copyright 2015-2020, dmacias72
Version: 2020.03.17
-----------------------------------------------------------



Updating Support Link
plugin: updated

AFAIK that's the latest version of NUT (outside of Git / dev). 

Link to post



Full output below, it's still saying 2.7.4.
plugin: updating: nut.plg+==============================================================================| Skipping package nut-2.7.4.20181125-x86_64-1 (already installed)+==============================================================================plugin: skipping: nut-2.7.4.20171129-x86_64-1.txz - Unraid version too high, requires at most version 6.4.99+==============================================================================| Skipping package net-snmp-5.7.3-x86_64-4 (already installed)+==============================================================================plugin: downloading: https://raw.githubusercontent.com/dmacias72/NUT-unRAID/master/archive/nut-plugin-2020.03.17-x86_64-1.txz ... doneplugin: downloading: https://raw.githubusercontent.com/dmacias72/NUT-unRAID/master/archive/nut-plugin-2020.03.17-x86_64-1.md5 ... done+==============================================================================| Upgrading nut-plugin-2019.02.03-x86_64-1 package using /boot/config/plugins/nut/nut-plugin-2020.03.17-x86_64-1.txz+==============================================================================Pre-installing package nut-plugin-2020.03.17-x86_64-1...Removing package: nut-plugin-2019.02.03-x86_64-1-upgraded-2020-04-13,11:58:45--> Deleting /usr/local/emhttp/plugins/nut/NUTsummary.pageVerifying package nut-plugin-2020.03.17-x86_64-1.txz.Installing package nut-plugin-2020.03.17-x86_64-1.txz:PACKAGE DESCRIPTION:# NUT - Network UPS Tools (a collection of ups tools) unRAID Plugin## The Network UPS Tools is a collection of programs which provide a# common interface for monitoring and administering UPS hardware. It# users a layered approach to connect all the components. Drivers are# provided for a wide assortment of equipment. The primary goal of# the NUT project is to provide reliable monitoring of UPS hardware# and ensure safe shutdowns of the systems which are connected.# This package includes the tools needed to monitor your UPS over the# web and it also includes the upsclient library.## https://github.com/dmacias72/unRAID-pluginsExecuting install script for nut-plugin-2020.03.17-x86_64-1.txz.Package nut-plugin-2020.03.17-x86_64-1.txz installed.Package nut-plugin-2019.02.03-x86_64-1 upgraded with new package /boot/config/plugins/nut/nut-plugin-2020.03.17-x86_64-1.txz.stopping services...Writing nut configUpdating permissions...Stopping the UPS services...Network UPS Tools - UPS driver controller 2.7.4.1checking network ups tools configuration...-----------------------------------------------------------nut has been installed.Copyright 2015, macesterCopyright 2020, gfjardimCopyright 2015-2020, dmacias72Version: 2020.03.17-----------------------------------------------------------Updating Support Linkplugin: updated

AFAIK that's the latest version of NUT (outside of Git / dev). 



If you look right above that line it says skipping because it's already install. While I do have a newer version compiled I forgot to include it. It didn't include many changes. The latest for the plugin is 2.7.4.20181125. It is based on the libusb compatibile branch.
Link to post
11 minutes ago, dmacias said:

If you look right above that line it says skipping because it's already install. While I do have a newer version compiled I forgot to include it. It didn't include many changes. The latest for the plugin is 2.7.4.20181125. It is based on the libusb compatibile branch.

 

Thanks! I see that now. I zoomed in on the "version too high" message I guess.

Link to post

Hey everyone,

 

I'm running Unraid 6.8.3 and just updated NUT to 2020.03.17. I no longer see the UPS status info on the top of the Dashboard page. It is still available from Settings>NUT Setting page though. Is the change on the Dashboard page expected?

Thanks!

Link to post
Hey everyone,
 
I'm running Unraid 6.8.3 and just updated NUT to 2020.03.17. I no longer see the UPS status info on the top of the Dashboard page. It is still available from Settings>NUT Setting page though. Is the change on the Dashboard page expected?
Thanks!
Thanks to gfjardim, he added it to the Server part of the dashboard under Power. He also added the footer display
Link to post
5 minutes ago, dmacias said:
12 minutes ago, Alabaster said:
Hey everyone,
 
I'm running Unraid 6.8.3 and just updated NUT to 2020.03.17. I no longer see the UPS status info on the top of the Dashboard page. It is still available from Settings>NUT Setting page though. Is the change on the Dashboard page expected?
Thanks!

Thanks to gfjardim, he added it to the Server part of the dashboard under Power. He also added the footer display

OK, got that working now. I was not seeing UPS info in either of the areas you mentioned. I had to set the 'Display Page Footer' option in Settings>NUT Settings to Yes in order to see it in either location. 

 

Thanks!

Link to post
  • 3 weeks later...

So I am trying to get NUT working with my Tripp Lite OMNI1500LCDT UPS because the UPS APC daemon within Unraid isn't working properly.  When I auto-detect within NUT it seems to find the info it seems but NUT is not starting.  HERE is the info I see when doing /etc/rc.d/rc.nut start.

 

Does anyone have an idea of what I might be able to do to get NUT to function with my UPS?

Link to post

I'm sure I've missed a step or post on here somewhere but when trying to connect to a CyberPower UPS with SNMP the NUT service will not start. If I try to run it with command line It says:

 

root@unRAID-01:~# /etc/rc.d/rc.nut start
Writing nut config
Updating permissions...
Network UPS Tools - UPS driver controller 2.7.4.1
/usr/libexec/nut/snmp-ups: error while loading shared libraries: libcrypto.so.1: cannot open shared object file: No such file or directory
Driver failed to start (exit status=127)

 

This is on a new install of unRAID 6.8.3

 

Any help would be appreciated. 

Edited by jrprinty
Fixed code
Link to post



I'm sure I've missed a step or post on here somewhere but when trying to connect to a CyberPower UPS with SNMP the NUT service will not start. If I try to run it with command line It says:
 
root@unRAID-01:~# /etc/rc.d/rc.nut startWriting nut configUpdating permissions...Network UPS Tools - UPS driver controller 2.7.4.1/usr/libexec/nut/snmp-ups: error while loading shared libraries: libcrypto.so.1: cannot open shared object file: No such file or directoryDriver failed to start (exit status=127)

 
This is on a new install of unRAID 6.8.3
 
Any help would be appreciated. 



Try using upgradepkg with this package.
https://github.com/dmacias72/NUT-unRAID/raw/master/packages/nut-2.7.4.20200317-x86_64-1.txz if that doesn't work, I may need to update net-snmp package
Link to post
So I am trying to get NUT working with my Tripp Lite OMNI1500LCDT UPS because the UPS APC daemon within Unraid isn't working properly.  When I auto-detect within NUT it seems to find the info it seems but NUT is not starting.  HERE is the info I see when doing /etc/rc.d/rc.nut start.
 
Does anyone have an idea of what I might be able to do to get NUT to function with my UPS?
Did you set the built in apc ups settings to No, simple and dumb? You may need to restart. The apcupsd may still have a hold on your ups
Link to post
55 minutes ago, dmacias said:


 

 


Try using upgradepkg with this package.
https://github.com/dmacias72/NUT-unRAID/raw/master/packages/nut-2.7.4.20200317-x86_64-1.txz if that doesn't work, I may need to update net-snmp package

 

Okay so I ran upgradepkg with 2.7.4.20200317 and got it installed. I think you might be right on needing the net-snmp updated. 

 

The new error now is 

root@unRAID-01:~# /etc/rc.d/rc.nut start
Writing nut config
Updating permissions...
Network UPS Tools - UPS driver controller 2.7.4.1
/usr/libexec/nut/snmp-ups: error while loading shared libraries: libnetsnmp.so.35: cannot open shared object file: No such file or directory
Driver failed to start (exit status=127)

 

Thank you for your help dmacias and the plugin.

Link to post
Okay so I ran upgradepkg with 2.7.4.20200317 and got it installed. I think you might be right on needing the net-snmp updated. 
 
The new error now is 
root@unRAID-01:~# /etc/rc.d/rc.nut startWriting nut configUpdating permissions...Network UPS Tools - UPS driver controller 2.7.4.1/usr/libexec/nut/snmp-ups: error while loading shared libraries: libnetsnmp.so.35: cannot open shared object file: No such file or directoryDriver failed to start (exit status=127)

 
Thank you for your help dmacias and the plugin.

Upgradepkg http://slackware.cs.utah.edu/pub/slackware/slackware64-current/slackware64/n/net-snmp-5.8-x86_64-5.txz
See if that works
Link to post
That worked like a charm.
 
Thank you so much dmacias!!
 
Now I just got to figure out how to fix my runtime since it shows 14 hours. I could only wish that was the case.
I'll update the plugin when I get a chance with the correct packages. If you use the Snmp plugin or other plugin, it might overwrite the snmp package
Link to post
On 5/6/2020 at 1:49 PM, dmacias said:
On 5/3/2020 at 2:33 PM, clambert said:
So I am trying to get NUT working with my Tripp Lite OMNI1500LCDT UPS because the UPS APC daemon within Unraid isn't working properly.  When I auto-detect within NUT it seems to find the info it seems but NUT is not starting.  HERE is the info I see when doing /etc/rc.d/rc.nut start.
 
Does anyone have an idea of what I might be able to do to get NUT to function with my UPS?

Did you set the built in apc ups settings to No, simple and dumb? You may need to restart. The apcupsd may still have a hold on your ups

I had the built in UPS setting set to No.  The other settings were USB and I changed them to simple and dumb.  After a reboot I seem to have similar issues.

 

I've tried with enable manual config on and off.  I'm not sure what's the right way to do this.  HERE is the new output when I run rc.nut start, as well as the settings in each config.  I'm a noob to this so maybe I'm missing something.  I only edited the ups.conf.  I've read where people seem to have had issues with Tripp Lite UPS'.  Maybe it's a fruitless battle.  Any help is appreciate if there is something else to try.

 

3mLokCM.png

Link to post
I had the built in UPS setting set to No.  The other settings were USB and I changed them to simple and dumb.  After a reboot I seem to have similar issues.
 
I've tried with enable manual config on and off.  I'm not sure what's the right way to do this.  HERE is the new output when I run rc.nut start, as well as the settings in each config.  I'm a noob to this so maybe I'm missing something.  I only edited the ups.conf.  I've read where people seem to have had issues with Tripp Lite UPS'.  Maybe it's a fruitless battle.  Any help is appreciate if there is something else to try.
 
3mLokCM.png&key=79ad070c6adb3953a2c5128631cb72482f42c7e325f5c3cf5c1b209f969068a7
I would try turning manual off and just using the usbhid.ups driver.
Link to post
  • 1 month later...

I'm trying to get NUT working with a Belkin F6C1000-TW-RK connected via USB.  I did an auto-detect and it found the following:

 

Scanning for UPS...

[nutdev1]
driver = "usbhid-ups"
port = "auto"
vendorid = "050D"
productid = "0551"
product = "Belkin UPS"
vendor = "Belkin"
bus = "003"

However, it won't start.  Attempting to start from a console results in:

root@tower:~# /etc/rc.d/rc.nut start
Writing nut config
Updating permissions...
Network UPS Tools - UPS driver controller 2.7.4.1
Network UPS Tools - Generic HID driver 0.55 (2.7.4.1)
USB communication driver 0.43
Using subdriver: Belkin/Liebert HID 0.17
nut_libusb_get_report: Input/Output Error.
Can't initialize data from HID UPS
Driver failed to start (exit status=1)

I have the default UPS settings set to No/Simple/Dumb and have rebooted Unraid.  Any suggestions?

Link to post
  • 1 month later...
[myups]
driver = snmp-ups
port = <myups-ip>
snmp_version = v3
secLevel = "authPriv"
secName = "mysnmpuser"
authProtocol = "MD5"
privProtocol = "DES"
authPassword = "myauthpw"
privPassword = "mycryptpw"
pollfreq = 15

I have SNMPv3 working fine with MD5 and DES. Unfortunately both algorithm today are not considered sufficiently secure.

So I would like to replace MD5 with SHA and DES with AES.

My UPS supports MD5 and AES fine which I can test using snmpwalk.

Unfortunately when I use

authProtocol = "SHA"
privProtocol = "AES"

NUT will not start and claims to not find a suitable device.

Any ideas how to fix this?

 

 

Link to post
  • 4 weeks later...
On 5/6/2020 at 9:57 PM, dmacias said:

That did work as long as 5.8 was part of current. Now current comes with 5.9 and the libnetsnmp is 40, not 35. This does not work with the NUT 2020 05 plugin, which expects 35.

Unfortunately NONE of the slackware64 release has libnetsnmp 35! I guess we really need a sustainable solution now.

 

Any ideas?

Link to post
On 8/30/2020 at 11:49 PM, b0m541 said:

That did work as long as 5.8 was part of current. Now current comes with 5.9 and the libnetsnmp is 40, not 35. This does not work with the NUT 2020 05 plugin, which expects 35.

Unfortunately NONE of the slackware64 release has libnetsnmp 35! I guess we really need a sustainable solution now.

 

Any ideas?

I am wondering, are there no others using SNMP to monitor /manage their UPS?

Is nobody else having this problem? If so, there must be a way to do it right / better, an I would like to learn how.

Is nobody currently maintaining the NUT plugin?

 

Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.